Bug 738813 - [Cantiga] Flickering screen with intel 4500MHD Graphics
Summary: [Cantiga] Flickering screen with intel 4500MHD Graphics
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 16
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:rendering]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 21:09 UTC by Tim Flink
Modified: 2013-02-13 08:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 08:00:15 UTC


Attachments (Terms of Use)
Xorg.0.log (39.68 KB, text/plain)
2011-09-15 21:11 UTC, Tim Flink
no flags Details
dmesg output (242.44 KB, text/plain)
2011-09-15 21:11 UTC, Tim Flink
no flags Details
smolt profile (3.04 KB, text/plain)
2011-09-15 21:12 UTC, Tim Flink
no flags Details
snapshot from intel_reg_snapshot (4.00 MB, text/plain)
2011-09-15 21:12 UTC, Tim Flink
no flags Details
video rom (64.00 KB, text/plain)
2011-09-15 21:13 UTC, Tim Flink
no flags Details

Description Tim Flink 2011-09-15 21:09:53 UTC
Description of problem:

When I boot into a live image (tried with Fedora 16 beta TC2 and RC1), the screen starts flickering as soon as plymouth starts in the boot process.

Other than the flickering, things seem to work fine but the flickering makes the machine unsable.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64
kernel-3.1.0-0.rc6.git0.0.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. boot into live image with intel 4500MHD graphics
  
Actual results:

Flickering screen

Expected results:

Steady, non-flickering screen

Comment 1 Tim Flink 2011-09-15 21:11:15 UTC
Created attachment 523448 [details]
Xorg.0.log

Comment 2 Tim Flink 2011-09-15 21:11:40 UTC
Created attachment 523449 [details]
dmesg output

Comment 3 Tim Flink 2011-09-15 21:12:00 UTC
Created attachment 523451 [details]
smolt profile

Comment 4 Tim Flink 2011-09-15 21:12:51 UTC
Created attachment 523453 [details]
snapshot from intel_reg_snapshot

Comment 5 Tim Flink 2011-09-15 21:13:32 UTC
Created attachment 523454 [details]
video rom

Comment 6 Adam Jackson 2011-09-23 14:51:47 UTC
Define "flickering", please.

Comment 7 Tim Flink 2011-09-23 16:45:05 UTC
I'll try to describe what I'm seeing but can try to submit a video if it isn't clear.

Once plymouth starts, it looks like several refreshes per second are shifted out of the position that they're supposed to be in. Sometimes the refresh is shifted down ~ 25%, sometimes it's shifted slightly to the right and sometimes it's vertically squashed and transposed over the screen. It's almost as if the refresh rate is off.

When the shifted redraws happen, I see what appear to be white and black artifacts in and around the shifted image.

Comment 8 Adam Jackson 2011-09-26 17:01:17 UTC
Do you see this if you boot with i915.i915_enable_fbc=0 ?  Seems like the most likely suspect.

Comment 9 Tim Flink 2011-09-26 17:09:14 UTC
Yes, I still see it if I boot a beta RC2 x86_64 live image using "i915.i915_enable_fbc=0"

Comment 10 Rhem 2011-11-26 11:12:43 UTC
Yea this is really bad its making me feel sick. Was running lovelock with gnome 3 fine and love it, installed GTK+ development files which required upgrading some x11 files, wish i'd payed more attention. It restarted and now flicking warping fragmented screen, best discribed by Tim. So downloaded fedora 16 fresh install and its still there. Help.

Comment 11 Rhem 2011-11-26 11:18:19 UTC
Oh I can stop it, this is strange. Open add/Remove software... Help->Contents. search eg "history". click "Update Viewer". And it stops with this window open. Weird.

Comment 12 Tim Flink 2011-11-26 20:12:27 UTC
I've been testing this more with a F16 install. I can make the flickering go away or come back by varying ONLY the kernel builds (xorg and xorg-x11-drv-intel builds stay constant). Using the kernel builds that are still available through koji:
 - (no flickering) kernel-3.0.1-3.fc16.x86_64
 - (flickering) kernel-3.1.0-0.rc3.git0.0.fc16.x86_64

I'm seeing this flickering regardless of whether or not X is running and have been doing my testing with the default target set to multi-user (runlevel 3). I have also tested kernel-3.0.1-3.fc16.x86_64 in graphical mode and there is no flickering.

It looks like the kernel builds in between the two listed above are no longer available through koji but I'm planning to replicate some of them in an attempt to isolate this farther.

Comment 13 bminaker 2011-12-06 00:14:16 UTC
I think that this is a duplicate of bug 753881.

Comment 14 Fedora End Of Life 2013-01-16 09:57:07 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Fedora End Of Life 2013-02-13 08:00:18 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.